Subject: Re: [PATCH v4 0/4] refs: allow setting the reference directory

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 6 Feb 2026 15:33:51 +0100

On Mon, Feb 02, 2026 at 01:26:29PM +0100, Karthik Nayak wrote:
> Changes in v4:
> - Mostly re-wrote the code to also support worktree. Now, the existing
>   backends will store worktree references in 'ref_dir/worktrees/wt_id'
>   and add corresponding stubs in 'git_dir/worktrees/wt_id'.
> - We also support relative paths in the reference directories. These
>   relative paths are resolved relative to the GIT_DIR.
> - Link to v3: https://patch.msgid.link/[email-masked]

I've got some of comments, but almost all of them are just nits. I quite
like the way this is shaping up.

Thanks!

Patrick